<?php
function validateEmail($email)
{
   return filter_var($email, FILTER_VALIDATE_EMAIL) !== false;
}
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['formid']) && $_POST['formid'] == 'flexgrid2')
{
   $mailto = 'appointments@muttleecrewpc.com';
   $mailfrom = isset($_POST['email']) ? $_POST['email'] : $mailto;
   $subject = 'Comment from Muttlee Crew Web Site';
   $message = 'Someone has reached out with a comment!
';
   $success_url = './thank-you.html';
   $error_url = './message-error.html';
   $eol = "\r\n";
   $error = '';
   $internalfields = array ("submit", "reset", "send", "filesize", "formid", "captcha", "recaptcha_challenge_field", "recaptcha_response_field", "g-recaptcha-response", "h-captcha-response", "address");
   if (!empty($_POST['address']))
   {
      $error .= "Spam detected.\n<br>";
      throw new Exception($error);
   }
   $boundary = md5(uniqid(time()));
   $header  = 'From: '.$mailfrom.$eol;
   $header .= 'Reply-To: '.$mailfrom.$eol;
   $header .= 'MIME-Version: 1.0'.$eol;
   $header .= 'Content-Type: multipart/mixed; boundary="'.$boundary.'"'.$eol;
   $header .= 'X-Mailer: PHP v'.phpversion().$eol;
   try
   {
      if (!validateEmail($mailfrom))
      {
         $error .= "The specified email address (" . $mailfrom . ") is invalid!\n<br>";
         throw new Exception($error);
      }
      $message .= $eol;
      $message .= "IP Address : ";
      $message .= $_SERVER['REMOTE_ADDR'];
      $message .= $eol;
      foreach ($_POST as $key => $value)
      {
         if (!in_array(strtolower($key), $internalfields))
         {
            if (is_array($value))
            {
               $message .= ucwords(str_replace("_", " ", $key)) . " : " . implode(",", $value) . $eol;
            }
            else
            {
               $message .= ucwords(str_replace("_", " ", $key)) . " : " . $value . $eol;
            }
         }
      }
      $body  = 'This is a multi-part message in MIME format.'.$eol.$eol;
      $body .= '--'.$boundary.$eol;
      $body .= 'Content-Type: text/plain; charset=UTF-8'.$eol;
      $body .= 'Content-Transfer-Encoding: 8bit'.$eol;
      $body .= $eol.stripslashes($message).$eol;
      if (!empty($_FILES))
      {
         foreach ($_FILES as $key => $value)
         {
             if ($_FILES[$key]['error'] == 0)
             {
                $body .= '--'.$boundary.$eol;
                $body .= 'Content-Type: '.$_FILES[$key]['type'].'; name='.$_FILES[$key]['name'].$eol;
                $body .= 'Content-Transfer-Encoding: base64'.$eol;
                $body .= 'Content-Disposition: attachment; filename='.$_FILES[$key]['name'].$eol;
                $body .= $eol.chunk_split(base64_encode(file_get_contents($_FILES[$key]['tmp_name']))).$eol;
             }
         }
      }
      $body .= '--'.$boundary.'--'.$eol;
      if ($mailto != '')
      {
         mail($mailto, $subject, $body, $header);
      }
      header('Location: '.$success_url);
   }
   catch (Exception $e)
   {
      $errorcode = file_get_contents($error_url);
      $replace = "##error##";
      $errorcode = str_replace($replace, $e->getMessage(), $errorcode);
      echo $errorcode;
   }
   exit;
}
?>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Muttlee Crew Pet Care -- Contact Us!</title>
<meta name="description" content="Contact Muttlee Crew and give us an ear full.">
<meta name="keywords" content="contact muttlee crew">
<meta name="robots" content="index, follow">
<meta name="revisit-after" content="365 days">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="muttleecrewpc.ico" rel="shortcut icon" type="image/x-icon">
<link href="mcpc.css" rel="stylesheet">
<link href="contact-the-crew.css" rel="stylesheet">
<script src="jquery-3.7.1.min.js"></script>
<script src="jquery-ui.min.js"></script>
<link rel="stylesheet" href="leaflet/leaflet.css">
<script src="leaflet/leaflet.js"></script>
<script src="leaflet/leaflet-providers.js"></script>
<script>   
   $(document).ready(function()
   {
      $("#files :file").on('change', function()
      {
         var input = $(this).parents('.input-group').find(':text');
         input.val($(this).val());
      });
   var leafletMap = L.map('openmap').setView([28.3404853, -81.432896], 14);
   L.tileLayer.provider("OpenStreetMap.Mapnik", 
   {
      retina: true,
      apikey: ""
   }).addTo(leafletMap);
   
   var blueIcon = new L.Icon({
       iconUrl: './leaflet/images/marker-icon-2x.png',
       shadowUrl: './leaflet/images/marker-shadow.png',
       iconSize: [25, 41],
       iconAnchor: [12, 41],
       popupAnchor: [1, -34],
       shadowSize: [41, 41]
   });
   
   var redIcon = new L.Icon({
       iconUrl: './leaflet/images/marker-icon-red-2x.png',
       shadowUrl: './leaflet/images/marker-shadow.png',
       iconSize: [25, 41],
       iconAnchor: [12, 41],
       popupAnchor: [1, -34],
       shadowSize: [41, 41]
   });
   
   var greenIcon = new L.Icon({
       iconUrl: './leaflet/images/marker-icon-green-2x.png',
       shadowUrl: './leaflet/images/marker-shadow.png',
       iconSize: [25, 41],
       iconAnchor: [12, 41],
       popupAnchor: [1, -34],
       shadowSize: [41, 41]
   });
   
   var greyIcon = new L.Icon({
       iconUrl: './leafletmarker-icon-gray-2x.png',
       shadowUrl: './leaflet/images/marker-shadow.png',
       iconSize: [25, 41],
       iconAnchor: [12, 41],
       popupAnchor: [1, -34],
       shadowSize: [41, 41]
   });
   
   var markers = [{ "latitude" : "28.3404853", "longitude" : "-81.432896", "text" : "Muttlee Crew", "icon" : redIcon },
   ];
   $.each(markers, function(index, marker) 
   {
      L.marker([marker.latitude, marker.longitude], {icon: marker.icon}).addTo(leafletMap).bindPopup(marker.text).openPopup();
   });
   });
</script>
</head>
<body>
   <div id="topmenu">
      <div id="topmenu-grid">
         <div class="logo">
            <div id="wb_hdrlogo">
               <a href="./index.php"><img src="images/mclogo.png" id="hdrlogo" alt="Muttlee Crew Logo" width="265" height="131"></a>
            </div>
         </div>
         <div class="menu">
            <nav id="wb_CssMenu1">
               <ul id="CssMenu1" role="menubar" class="nav" itemscope="itemscope" itemtype="https://schema.org/SiteNavigationElement">
                  <li role="menuitem" class="nav-item firstmain" itemprop="name"><a class="nav-link" href="./index.php" target="_self" itemprop="url">Home</a>
                  </li>
                  <li role="menuitem" class="nav-item" itemprop="name"><a class="nav-link" href="./index.php#appointmenttop" target="_self" itemprop="url">Appointments</a>
                  </li>
                  <li role="menuitem" class="nav-item" itemprop="name"><a class="nav-link" href="./index.php#servicestop" target="_self" itemprop="url">Services</a>
                  </li>
                  <li role="menuitem" class="nav-item" itemprop="name"><a class="nav-link" href="./index.php#crewhead" target="_self" itemprop="url">Meet&nbsp;the&nbsp;Crew</a>
                  </li>
                  <li role="menuitem" class="nav-item" itemprop="name"><a class="nav-link" href="./index.php#productstop" target="_self" itemprop="url">Products</a>
                  </li>
                  <li role="menuitem" class="nav-item" itemprop="name"><a class="nav-link" href="./contact-the-crew.php" target="_self" itemprop="url">Contact</a>
                  </li>
               </ul>
            </nav>
         </div>
         <div class="bar">
         </div>
      </div>
   </div>
   <div id="content">
      <div id="FlexGrid1">
         <div class="img">
            <div id="wb_Image1">
               <img src="images/problem03.jpg" id="Image1" alt="" width="1280" height="731">
            </div>
         </div>
         <div class="lpad">
         </div>
         <div class="txt">
            <div id="wb_Text1">
               <h1>Contact Muttlee Crew</h1>
            </div>
            <div id="wb_Text2">
               <p id="wb_uid0"><span class="body">If you have a question or want to know more about </span><span class="body_bold">Muttlee Crew</span><span class="body"> and the services we provide, just drop us a line using this handy form. We would love to hear from you!</span></p>
            </div>
         </div>
         <div class="rpad">
         </div>
      </div>
      <form name="FlexGrid2" method="post" action="<?php echo basename(__FILE__); ?>" enctype="multipart/form-data" id="FlexGrid2">
         <input type="hidden" name="formid" value="flexgrid2">
         <input type="text" name="address" value="" id="address" title="address">
         <div class="lpad">
         </div>
         <div class="frm">
            <div id="wb_Editbox1">
               <input type="text" id="Editbox1" class="formbody" name="name" value="" spellcheck="false" required placeholder="Name">
               <label id="Editbox1-label" for="Editbox1" class="formbody">Name</label>
            </div>
            <div id="wb_Editbox2">
               <input type="email" id="Editbox2" class="formbody" name="email" value="" spellcheck="false" required placeholder="Email">
               <label id="Editbox2-label" for="Editbox2" class="formbody">Email</label>
            </div>
            <div id="wb_TextArea1">
               <textarea name="comment" id="TextArea1" class="formbody" rows="2" cols="48" maxlength="1500" spellcheck="false" required placeholder="Comment"></textarea>
               <label id="TextArea1-label" for="TextArea1" class="formbody">Comment</label>
            </div>
            <div id="wb_Text3">
               <span class="body">Optional: If you are applying for a position with Muttlee's staff, please upload your resume here.</span>
            </div>
            <div id="files" class="input-group">
               <input class="formbody form-control" type="text" readonly id="files-input">
               <label class="input-group-btn">
                  <input type="file" accept=".doc,.docx,.pdf,.rtf,.txt" name="file" id="files-file"><span class="btn browsebtn">Browse...</span>
               </label>
            </div>
            <input type="submit" id="Button1" name="send" value="Send It!" class="submitbtn">
         </div>
         <div class="rpad">
         </div>
      </form>
   </div>
   <div id="footgrid">
      <div id="footgrid-grid">
         <div class="addr">
            <div id="wb_footlogo">
               <a href="./index.php"><img src="images/mclogo.png" id="footlogo" alt="Muttlee Crew Logo" width="265" height="131"></a>
            </div>
            <div id="wb_addrtxt">
               <span class="address">3080 Dyer Boulevard,<br>Kissimmee, FL 34741<br><a href="tel:4073431850" class="footstyle">407-343-1850</a></span>
            </div>
            <div id="FlexContainer1">
               <div id="wb_flags">
                  <img src="images/s8sotfddbr.jpg" id="flags" alt="US, Spanish, Portugese flags" width="152" height="31">
               </div>
               <div id="wb_fbimg">
                  <a href="https://www.facebook.com/MuttleeCrewPetCare" target="_blank"><img src="images/0csl5qe0vw.jpg" id="fbimg" alt="Facebook" width="33" height="33"></a>
               </div>
            </div>
         </div>
         <div class="hours">
            <div id="wb_hourshead">
               <span class="hrstitle">Hours of Operation</span>
            </div>
            <div id="wb_gridmon">
               <div id="gridmon">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_titlemon">
                           <span class="body_hours">Monday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hoursmon">
                           <span class="body_hours">9:00 am - 5:00 pm</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="wb_gridtue">
               <div id="gridtue">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_titletue">
                           <span class="body_hours">Tuesday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hourstue">
                           <span class="body_hours">9:00 am - 5:00 pm</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="wb_gridwed">
               <div id="gridwed">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_titlewed">
                           <span class="body_hours">Wednesday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hourswed">
                           <span class="body_hours">9:00 am - 5:00 pm</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="wb_gridthu">
               <div id="gridthu">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_headthu">
                           <span class="body_hours">Thursday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hoursthu">
                           <span class="body_hours">9:00 am - 5:00 pm</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="wb_gridfri">
               <div id="gridfri">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_titlefri">
                           <span class="body_hours">Friday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hoursfri">
                           <span class="body_hours">9:00 am - 5:00 pm</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="wb_gridsat">
               <div id="gridsat">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_titlesat">
                           <span class="body_hours">Saturday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hourssat">
                           <span class="body_hours">9:00 am - 5:00 pm</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="wb_gridsun">
               <div id="gridsun">
                  <div class="row">
                     <div class="col-1">
                        <div id="wb_titlesun">
                           <span class="body_hours">Sunday:</span>
                        </div>
                     </div>
                     <div class="col-2">
                        <div id="wb_hourssun">
                           <span class="body_hours">Closed</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="map">
            <div id="wb_openmap">
               <div id="openmap"></div>
            </div>
         </div>
         <div class="footer">
            <div id="wb_footmenu">
               <span class="body"><a href="./index.php" class="footstyle">Home</a> | <a href="./terms-conditions.html" class="footstyle">Terms &amp; Conditions</a> | <a href="./privacy-policy.html" class="footstyle">Privacy Policy</a> | <a href="./contact-the-crew.php" class="footstyle">Contact</a></span>
            </div>
            <div id="wb_copyright">
               <span class="fineprint">Copyright &#0169; 2012 - 2024, Muttlee Crew Pet Care.<br>All rights reserved.</span>
            </div>
         </div>
      </div>
   </div>
</body>
</html>